<?php
if( !defined( '_VALID_MOS' ) && !defined( '_JEXEC' ) ) die( 'Direct Access to '.basename(__FILE__).' is not allowed.' );

/**
*
* @package Booklibrary
* @copyright 2010 Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru);
* Homepage: http://www.joomlawebserver.com
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @version: 1.5 Free $
*
**/

$showInterior_extras  = $params->get ('showInterior_extras', 0);
$showSafety_options = $params->get ('showSafety_options', 0);
$showWarranty_options = $params->get ('showWarranty_options', 0);
$showInterior_colors  = $params->get ('showInterior_colors', 0);
$showWheeltype  = $params->get ('showWheeltype', 0);


if( !function_exists( 'categoryArray')) {
  function categoryArray()
  {
    global $database;
    // get a list of the menu items
    $query = "SELECT c.*, c.parent_id AS parent"
    . "\n FROM #__categories c"
    . "\n WHERE section='com_medialibrary'"
    . "\n AND published <> -2"
    . "\n ORDER BY ordering" ;
    $database->setQuery($query);
    $items = $database->loadObjectList();
    // establish the hierarchy of the menu
    $children = array();
    // first pass - collect children
    foreach ($items as $v) {
      $pt = $v->parent;
      $list = @$children[$pt] ? $children[$pt] : array();
      array_push($list, $v);
      $children[$pt] = $list;
    }
    // second pass - get an indent list of the items
    $array = mosTreeRecurse(0, '', array(), $children);
  
    return $array;
  }
}


if( !function_exists( 'mod_categoryTreeList')) {
  function mod_categoryTreeList($id, $action,$is_new, $options = array())
  {
    global  $database;
    $list = categoryArray();
    $cat = new mosCategory($database);
    $cat->load($id);
  
    $this_treename = '';
    $childs_ids =  Array();
    foreach ($list as $item) {
      if ($item->id == $cat->id || array_key_exists($item->parent_id,$childs_ids) )
      $childs_ids[$item->id] = $item->id;
    }
  
    foreach ($list as $item) {
      if ($this_treename) {
        if ($item->id != $cat->id
          && strpos($item->treename, $this_treename) === false
          && array_key_exists($item->id,$childs_ids) === false) {
          $options[] = mosHTML::makeOption($item->id, $item->treename);
        }
      } else {
        if ($item->id != $cat->id) {
          $options[] = mosHTML::makeOption($item->id, $item->treename);
        } else {
          $this_treename = "$item->treename/";
        }
      }
    }
  
    $parent= null;
    $parent = mosHTML::selectList($options, 'catid',
  'class="inputbox" size="1"', 'value', 'text', $cat->parent_id);
    return $parent;
  }
}
	
if( !function_exists( 'sefreltoabs')) {
  function sefRelToAbs( $value ) {
    //Need check!!!

    // Replace all &amp; with & as the router doesn't understand &amp;
    $url = str_replace('&amp;', '&', $value);
    if(substr(strtolower($url),0,9) != "index.php") return $url;
    $uri    = JURI::getInstance();
    $prefix = $uri->toString(array('scheme', 'host', 'port'));
    return $prefix.JRoute::_($url);
  }
}

  
  global $mosConfig_absolute_path, $mosConfig_allowUserRegistration,$mosConfig_lang, $database;

	include('./administrator/components/com_medialibrary/compat.joomla1.5.php');
	//require_once ($mosConfig_absolute_path."/components/com_medialibrary/language/{$mosConfig_lang}.php" );
		 if (file_exists($mosConfig_absolute_path."/components/com_medialibrary/language/{$mosConfig_lang}.php" )) {
		 require_once($mosConfig_absolute_path."/components/com_medialibrary/language/{$mosConfig_lang}.php" );
		 }
		 else {
			 require_once($mosConfig_absolute_path."/components/com_medialibrary/language/english.php" );
		 }
// load language
//	if(@ _BOOKLIBRARY_SHOW_SEARCH_FOR_ALL == '_BOOKLIBRARY_SHOW_SEARCH_FOR_ALL')
//	{

//	}




	$categories[] = mosHTML :: makeOption('0', 'Select category' );
	//$database->setQuery("SELECT id  FROM #__menu WHERE link LIKE '%com_medialibrary%' ORDER BY link");
	$Itemid = $database->loadResult();

	$clist = mod_categoryTreeList(0,'',true,$categories);
 ?>
<div>
	<form action="index.php" method="get" name="mod_medialibrarysearchForm">
 <table border="0" cellpadding="4" cellspacing="0" width="100%">
   <tr>
				 <td align="left">
				   <?php echo _MEDIALIBRARY_LABEL_SEARCH_BUTTON ?>:&nbsp;
				 </td>
	</tr>
	<tr>
		 <td align="left">
				<input class="inputbox" type="text" name="searchtext" size="20" maxlength="20"/>
		 </td>
	</tr>
<?php 
	$arr = array(
				'book'	=>	array(
							'isbn'=>'ISBN',
							//'book_id',
							'authors',
							'manufacturer'
							),
				'game'	=>	array(
							'asin',
							//'game_id',
							'platform',
							'binding'
							),
				'music'	=>	array(
							'asin',
							//'music_id',
						
							'artist',
							'tracklist'
						
						
							),
				'video'	=>	array(
							'asin',
							//'video_id',
							'actors',
						
							'format'
						
						
							)
		);
		$generalcheckbox = array('title'=>'Title','comment'=>'Comment','language'=>'Language');
		
		
		foreach($generalcheckbox as $namecheckbox=>$firstnamebox):?>
			<?php if($params->get ('Show-'.$namecheckbox, 0)==0):?>
			<tr>
				<td>
					<script>
						function <?php echo $namecheckbox;?>on(){
							var <?php echo $namecheckbox;?>hidden = document.getElementById("<?php echo $namecheckbox;?>hidden").getElementsByTagName('input');
							for(var i=0;i<<?php echo $namecheckbox;?>hidden.length;i++){
								<?php echo $namecheckbox;?>hidden[i].value = true;
							}
						};
						function <?php echo $namecheckbox;?>off() {
							var <?php echo $namecheckbox;?>hidden = document.getElementById("<?php echo $namecheckbox;?>hidden").getElementsByTagName('input');
							for(var i=0;i<<?php echo $namecheckbox;?>hidden.length;i++){
								<?php echo $namecheckbox;?>hidden[i].value = '';
							}
						};
						
					</script>
					<?php echo $firstnamebox;?>:&nbsp;<input type="checkbox" name="<?php echo $namecheckbox;?>" checked='checked' onClick="if(this.checked) {<?php echo $namecheckbox;?>on();} else{<?php echo $namecheckbox;?>off();}"/>
					<div id="<?php echo $namecheckbox;?>hidden">
						<input type='hidden' name="book-<?php echo $namecheckbox;?>" value='true'/>
						<input type='hidden' name="game-<?php echo $namecheckbox;?>" value='true'/>
						<input type='hidden' name="music-<?php echo $namecheckbox;?>" value='true'/>
						<input type='hidden' name="video-<?php echo $namecheckbox;?>" value='true'/>
					</div>
				</td>
			</tr>
			<?php endif;?>
		<?php endforeach;?>
			<?php $namecheckbox='id'; $firstnamebox='ID'?>
			<?php if($params->get ('Show-'.$namecheckbox, 0)==0):?>
			<tr>
				<td>
					<script>
						function <?php echo $namecheckbox;?>on(){
							var <?php echo $namecheckbox;?>hidden = document.getElementById("<?php echo $namecheckbox;?>hidden").getElementsByTagName('input');
							for(var i=0;i<<?php echo $namecheckbox;?>hidden.length;i++){
								<?php echo $namecheckbox;?>hidden[i].value = true;
							}
						};
						function <?php echo $namecheckbox;?>off() {
							var <?php echo $namecheckbox;?>hidden = document.getElementById("<?php echo $namecheckbox;?>hidden").getElementsByTagName('input');
							for(var i=0;i<<?php echo $namecheckbox;?>hidden.length;i++){
								<?php echo $namecheckbox;?>hidden[i].value = '';
							}
						};
						
					</script>
					<?php echo $firstnamebox;?>:&nbsp;<input type="checkbox" name="<?php echo $namecheckbox;?>" checked='checked' onClick="if(this.checked) {<?php echo $namecheckbox;?>on();} else{<?php echo $namecheckbox;?>off();}"/>
					<div id="<?php echo $namecheckbox;?>hidden">
						<input type='hidden' name="book_<?php echo $namecheckbox;?>" value='true'/>
						<input type='hidden' name="game_<?php echo $namecheckbox;?>" value='true'/>
						<input type='hidden' name="music_<?php echo $namecheckbox;?>" value='true'/>
						<input type='hidden' name="video_<?php echo $namecheckbox;?>" value='true'/>
					</div>
				</td>
			</tr>
			<?php endif;?>
	<?php foreach($arr as $type=>$fields):
		$temp = 'Show'.$type;
		$$temp = $params->get($temp, 0);
		
		if($$temp==0){?>
		<tr>
			<td  align="left" nowrap>
			<strong><?php echo $type; ?>:&nbsp;</strong><input type="hidden" name="<?php echo $type; ?>" value="true">
			</td>
		</tr>
		<?php foreach($fields as $f=>$field_title):
			if(is_numeric($f)): $field_name=$field_title; else: $field_name=$f; endif;
			$field_names = 'Show'.$type.'-'.$field_name;
			$$field_names= $params->get ($field_name, 0);
			
			if($$field_names==0){?>
			<tr>
				<td  align="left" nowrap>
				&nbsp;<?php echo $field_title; ?>:&nbsp;<input type="checkbox" name="<?php echo $type.'-'.$field_name; ?>" checked="checked">
				</td>
			</tr>
			<?php }elseif($$field_names==1){ ?>
				<input type="hidden" name="<?php echo $type.'-'.$field_name; ?>" value="true">
			<?php }
		endforeach;?>
		<?php } elseif($$temp==1){ ?>
		<tr>
			<td  align="left" nowrap>
			<input type="hidden" name="<?php echo $type; ?>" value="true">
			</td>
		</tr>
			<?php foreach($fields as $f=>$field_title):
			if(is_numeric($f)): $field_name=$field_title; else: $field_name=$f; endif;
				$field_names = 'Show'.$type.'-'.$field_name;
				$$field_names= $params->get ($field_name, 0);?>
				<input type="hidden" name="<?php echo $type.'-'.$field_name; ?>" value="on">

			<?php
			endforeach;
		}
	endforeach;?>


	<tr>
	  <td align="left">
			  <?php echo $clist; ?>
	  </td>
  </tr>
	<tr>
		<td align="left" colspan="2" style="margin: 5px;padding: 5px;">
		<div style="float:left;margin-right: 5px"><input type="submit" value="<?php echo _MEDIALIBRARY_LABEL_SEARCH_BUTTON; ?>" class="button" /></div>
		
 
			<input type="hidden" name="option" value="com_medialibrary">
			<input type="hidden" name="task" value="search">
			<input type="hidden" name="Itemid" value="<?php echo $Itemid ?>">
		</td>
	</tr>
		    </table>
		</form>
</div>
